<template>
  <div>
    <div class="auth__title">Set new password</div>
    <form action="" class="auth__form">
      <div class="auth__row">
        <div class="auth__half">
          <el-input v-model="password" type="text" placeholder="8 characters" />
        </div>
        <div class="auth__half">
          <el-input
            v-model="password_repeat"
            type="text"
            placeholder="Repeat"
          />
        </div>
      </div>
      <div class="auth__row">
        <div class="auth__half">
          <Button variant="success" :disabled="password !== password_repeat">
            Save & Login
          </Button>
        </div>
      </div>
    </form>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import elInput from '@/components/element/Input.vue'
import Button from '@/components/ui/Button.vue'

export default defineComponent({
  layout: 'auth',
  name: 'AuthSetNewPassword',
  components: { elInput, Button },
  data() {
    return {
      password: '',
      password_repeat: ''
    }
  }
})
</script>
